For AI agents: the complete documentation index is at https://buddy.works/llms.txt
Updates the authorized user
REQUIRED SCOPESUSER_WRITE
BODY PARAMETERSnamestring
The name of the user RESPONSE BODYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the usernamestring
The name of the userusernamestring
The unique username of the useravatar_urlstring
The avatar URL of the useremailstring
The email address of the userworkspaces_urlstring
The workspaces URL of the user Last modified on Apr 22, 2026
curl -X PATCH "https://api.buddy.works/user" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe"
}'